Bug 244370 - Review Request: olpc-hardware-manager - OLPC hardware manager
Review Request: olpc-hardware-manager - OLPC hardware manager
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Package Reviews List
:
Depends On:
Blocks: 244371
  Show dependency treegraph
 
Reported: 2007-06-15 06:00 EDT by Marco Pesenti Gritti
Modified: 2008-07-01 12:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 19:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeff: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)
Differences between spec file in upstream git repo and what was submitted. (645 bytes, patch)
2007-06-15 15:46 EDT, Jeffrey C. Ollie
no flags Details | Diff
Changes to bring RPM packaging into line with Fedora guidelines. (20.70 KB, patch)
2007-06-15 15:47 EDT, Jeffrey C. Ollie
no flags Details | Diff
More changes to get spec to comply with Fedora standards. (2.37 KB, patch)
2007-06-15 15:48 EDT, Jeffrey C. Ollie
no flags Details | Diff
Add requires for dbus-python and pygobject2 (1.05 KB, patch)
2007-06-15 15:48 EDT, Jeffrey C. Ollie
no flags Details | Diff
Copy the COPYING file to somewhere that the doc macro can find it. (1.55 KB, patch)
2007-06-15 21:26 EDT, Jeffrey C. Ollie
no flags Details | Diff
Fix inconsistent usage of macros. (1.54 KB, patch)
2007-06-19 09:52 EDT, Jeffrey C. Ollie
no flags Details | Diff
Clean up post scriptlet and add proper requires for post and preun scriptlets. (1.64 KB, patch)
2007-06-19 09:52 EDT, Jeffrey C. Ollie
no flags Details | Diff
Update comments on how to download/verify code. (1.68 KB, patch)
2007-06-19 09:53 EDT, Jeffrey C. Ollie
no flags Details | Diff

  None (edit)
Description Marco Pesenti Gritti 2007-06-15 06:00:51 EDT
Spec URL: http://dev.laptop.org/~marco/olpc-hardware-manager.spec
SRPM URL: http://dev.laptop.org/~marco/olpc-hardware-manager-0.4.1-1.src.rpm
Description: The OLPC Hardware manager
Comment 1 Marco Pesenti Gritti 2007-06-15 06:28:17 EDT
The plan is to add this package to the olpc-2 branch.
Comment 2 Jeffrey C. Ollie 2007-06-15 15:45:50 EDT
Needs to require dbus-python and pygobject2.

I would recommend using "install -p -D -m 0755" to install the files
rather than "mkdir -p && cp".

Pointers to somewhere where the code can be downloaded so that the
files can in the SRPM can be compared.  The OLPC git web interface
doesn't work well for raw access to the files, so maybe a short script
that uses git to clone the repo and check out the proper revision
would work.

W: olpc-hardware-manager no-documentation

Should at least include a copy of the GPL.

W: olpc-hardware-manager non-conffile-in-etc
/etc/dbus-1/system.d/olpc-hardware-manager.conf

Ignore.

W: olpc-hardware-manager incoherent-version-in-changelog 0.3.1-1 0.4.1-1.fc8

Needs updated changelog entry.

W: olpc-hardware-manager service-default-enabled /etc/init.d/olpc-hardware-manager

Probably OK for OLPC but if this package is branched for Fedora it
should not be started by default.

W: olpc-hardware-manager no-reload-entry /etc/init.d/olpc-hardware-manager

Probably OK.

W: olpc-hardware-manager strange-permission olpc-hardware-manager 0755
W: olpc-hardware-manager strange-permission hardwaremanager.py 0755

My preference would be to store the files mode 0644 and then to change
the permissions when installing.

E: olpc-hardware-manager no-cleaning-of-buildroot %install

Add a "rm -rf $RPM_BUILD_ROOT"

W: olpc-hardware-manager no-%prep-section
W: olpc-hardware-manager no-%build-section

Add empty 

W: olpc-hardware-manager mixed-use-of-spaces-and-tabs (spaces: line 12, tab: line 1)

Easily fixed.

I'll upload some patches to fix some of these (and email them to the submitter).
Comment 3 Jeffrey C. Ollie 2007-06-15 15:46:53 EDT
Created attachment 157147 [details]
Differences between spec file in upstream git repo and what was submitted.
Comment 4 Jeffrey C. Ollie 2007-06-15 15:47:38 EDT
Created attachment 157148 [details]
Changes to bring RPM packaging into line with Fedora guidelines.
Comment 5 Jeffrey C. Ollie 2007-06-15 15:48:03 EDT
Created attachment 157149 [details]
More changes to get spec to comply with Fedora standards.
Comment 6 Jeffrey C. Ollie 2007-06-15 15:48:28 EDT
Created attachment 157150 [details]
Add requires for dbus-python and pygobject2
Comment 7 Marco Pesenti Gritti 2007-06-15 16:15:46 EDT
I applied your patches, thanks!

There is a problem though:

+ cp -pr COPYING
/var/tmp/olpc-hardware-manager-0.4.1-2.fc7-root-marco/usr/share/doc/olpc-hardware-manager-0.4.1
cp: cannot stat `COPYING': No such file or directory

Suggestions or patches are welcome :)
Comment 8 Jeffrey C. Ollie 2007-06-15 21:25:24 EDT
The COPYING file is there in the 2nd patch, I swear!

Hmmm I guess the COPYING file needs to go somewhere where the %doc macro can
actually find it....
Comment 9 Jeffrey C. Ollie 2007-06-15 21:26:22 EDT
Created attachment 157170 [details]
Copy the COPYING file to somewhere that the doc macro can find it.
Comment 10 Marco Pesenti Gritti 2007-06-15 22:39:27 EDT
Pushed patch 157170, fixed permissions. Should be all fixed:

http://dev.laptop.org/~marco/olpc-hardware-manager-0.4.1-3.fc7.src.rpm
http://dev.laptop.org/~marco/olpc-hardware-manager.spec

Thanks for the help!
Comment 11 Jeffrey C. Ollie 2007-06-19 09:52:14 EDT
Created attachment 157365 [details]
Fix inconsistent usage of macros.
Comment 12 Jeffrey C. Ollie 2007-06-19 09:52:41 EDT
Created attachment 157366 [details]
Clean up post scriptlet and add proper requires for post and preun scriptlets.
Comment 13 Jeffrey C. Ollie 2007-06-19 09:53:09 EDT
Created attachment 157367 [details]
Update comments on how to download/verify code.
Comment 14 Jeffrey C. Ollie 2007-06-19 10:13:24 EDT
 1 - MUST: rpmlint must be run on every package. The output should be
           posted in the review.

W: olpc-hardware-manager non-conffile-in-etc
/etc/dbus-1/system.d/olpc-hardware-manager.conf

Can be ignored I think...

W: olpc-hardware-manager service-default-enabled /etc/init.d/olpc-hardware-manager

For the OLPC-2 branch this is fine, however if the package ever makes
it to a Fedora branch the service should not start by default.

W: olpc-hardware-manager no-reload-entry /etc/init.d/olpc-hardware-manager

Can be ignored...

 2 - MUST: The package must be named according to the Package Naming
           Guidelines.

OK

 3 - MUST: The spec file name must match the base package %{name}, in
           the format %{name}.spec

OK

 4 - MUST: The package must meet the Packaging Guidelines.

OK

 5 - MUST: The package must be licensed with an open-source compatible
           license and meet other legal requirements as defined in the
           legal section of Packaging Guidelines.

OK (LGPL)

 6 - MUST: The License field in the package spec file must match the
           actual license.

OK

 7 - MUST: If (and only if) the source package includes the text of
           the license(s) in its own file, then that file, containing
           the text of the license(s) for the package must be included
           in %doc.

OK

 8 - MUST: The spec file must be written in American English.

OK

 9 - MUST: The spec file for the package MUST be legible. If the
           reviewer is unable to read the spec file, it will be
           impossible to perform a review.  Fedora is not the place
           for entries into the Obfuscated Code Contest ([WWW]
           http://www.ioccc.org/).

OK

10 - MUST: The sources used to build the package must match the
           upstream source, as provided in the spec URL. Reviewers
           should use md5sum for this task.

OK (no upstream tarball, verified by checking out code from upstream repository,
see patch 157367)

11 - MUST: The package must successfully compile and build into binary
           rpms on at least one supported architecture.

OK (F-7/i386)

12 - MUST: If the package does not successfully compile, build or work
           on an architecture, then those architectures should be
           listed in the spec in ExcludeArch. Each architecture listed
           in ExcludeArch needs to have a bug filed in bugzilla,
           describing the reason that the package does not
           compile/build/work on that architecture. The bug number
           should then be placed in a comment, next to the
           corresponding ExcludeArch line. New packages will not have
           bugzilla entries during the review process, so they should
           put this description in the comment until the package is
           approved, then file the bugzilla entry, and replace the
           long explanation with the bug number. (Extras Only) The bug
           should be marked as blocking one (or more) of the following
           bugs to simplify tracking such issues...

OK

13 - MUST: All build dependencies must be listed in BuildRequires,
           except for any that are listed in the exceptions section of
           Packaging Guidelines; inclusion of those as BuildRequires
           is optional. Apply common sense.

OK

14 - MUST: The spec file MUST handle locales properly. This is done by
           using the %find_lang macro. Using %{_datadir}/locale/* is strictly
           forbidden.

OK

15 - MUST: If the package contains shared library files located in the
           dynamic linker's default paths, that package must call
           ldconfig in %post and %postun. If the package has multiple
           subpackages with libraries, each subpackage should also
           have a %post/%postun section that calls /sbin/ldconfig. An
           example of the correct syntax for this is...

OK

16 - MUST: If the package is designed to be relocatable, the packager
           must state this fact in the request for review, along with
           the rationalization for relocation of that specific
           package. Without this, use of Prefix: /usr is considered a
           blocker.

OK

17 - MUST: A package must own all directories that it creates. If it
           does not create a directory that it uses, then it should
           require a package which does create that directory. The
           exception to this are directories listed explicitly in the
           Filesystem Hierarchy Standard ([WWW]
           http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is
           safe to assume that those directories exist.

OK

18 - MUST: A package must not contain any duplicate files in the
          %files listing.

OK

19 - MUST: Permissions on files must be set properly. Executables
           should be set with executable permissions, for
           example. Every %files section must include a %defattr(...)
           line.

OK

20 - MUST: Each package must have a %clean section, which contains rm
           -rf %{buildroot} (or $RPM_BUILD_ROOT).

OK

21 - MUST: Each package must consistently use macros, as described in
           the macros section of Packaging Guidelines.

OK (assuming patch 157365 is applied)

22 - MUST: The package must contain code, or permissable content. This
           is described in detail in the code vs. content section of
           Packaging Guidelines.

OK

23 - MUST: Large documentation files should go in a -doc
           subpackage. (The definition of large is left up to the
           packager's best judgement, but is not restricted to
           size. Large can refer to either size or quantity)

OK

24 - MUST: If a package includes something as %doc, it must not affect
           the runtime of the application. To summarize: If it is in
           %doc, the program must run properly if it is not present.

OK

25 - MUST: Header files or static libraries must be in a -devel
           package.

OK

26 - MUST: Files used by pkgconfig (.pc files) must be in a -devel
           package.

OK

27 - MUST: If a package contains library files with a suffix
           (e.g. libfoo.so.1.1), then library files that end in .so
           (without suffix) must go in a -devel package.

OK

28 - MUST: In the vast majority of cases, devel packages must require
           the base package using a fully versioned dependency:
           Requires: %{name} = %{version}-%{release}

OK

29 - MUST: Packages must NOT contain any .la libtool archives, these
           should be removed in the spec.

OK

30 - MUST: Packages containing GUI applications must include a
           %{name}.desktop file, and that file must be properly
           installed with desktop-file-install in the %install
           section. This is described in detail in the desktop files
           section of Packaging Guidelines. If you feel that your
           packaged GUI application does not need a .desktop file, you
           must put a comment in the spec file with your explanation.

OK

31 - MUST: Packages must not own files or directories already owned by
           other packages. The rule of thumb here is that the first
           package to be installed should own the files or directories
           that other packages may rely upon. This means, for example,
           that no package in Fedora should ever share ownership with
           any of the files or directories owned by the filesystem or
           man package. If you feel that you have a good reason to own
           a file or directory that another package owns, then please
           present that at package review time.

OK

32 - MUST: Release tag must contain %{?dist}.



33 - SHOULD: If the source package does not include license text(s) as
           a separate file from upstream, the packager SHOULD query
           upstream to include it.

OK

34 - SHOULD: The description and summary sections in the package spec
           file should contain translations for supported Non-English
           languages, if available.

OK

35 - SHOULD: The reviewer should test that the package builds in mock.

OK (F-7/i386)

36 - SHOULD: The package should compile and build into binary rpms on
           all supported architectures.

Untested (no access to OLPC hardware)

37 - SHOULD: The reviewer should test that the package functions as
           described. A package should not segfault instead of
           running, for example.

Untested (no access to OLPC hardware)

38 - SHOULD: If scriptlets are used, those scriptlets must be
           sane. This is vague, and left up to the reviewers judgement
           to determine sanity.
           REMINDER: Check for condrestart if a service is restarted
           by scriptlets.
           REMINDER: Verify that non-chkconfig/ldconfig commands have
           "|| :".

OK (assuming patch 157366 is applied)

39 - SHOULD: Usually, subpackages other than devel should require the
           base package using a fully versioned dependency.

OK

APPROVED, assuming last three patches posted are applied.
Comment 15 Marco Pesenti Gritti 2007-06-19 10:17:14 EDT
Awesome, thanks! I'll make sure to apply all the patches when importing.
Comment 16 Marco Pesenti Gritti 2007-06-19 10:23:02 EDT
New Package CVS Request
=======================
Package Name: olpc-hardware-manager
Short Description: OLPC hardware manager
Owners: mpg@redhat.com
Branches: OLPC-2
InitialCC: mpg@redhat.com
Comment 17 Marco Pesenti Gritti 2007-06-19 16:30:17 EDT
Upping priority since it's important for OLPC.
Comment 18 Jason Tibbitts 2007-06-19 18:50:20 EDT
CVS done.

BTW, I'm not sure anyone pays attention to the priority field.
Comment 19 Marco Pesenti Gritti 2008-07-01 11:24:52 EDT
Package Change Request
======================
Package Name: olpc-hardware-manager
New Branches: OLPC-3
Comment 20 Dennis Gilmore 2008-07-01 12:07:00 EDT
OLPC-3 branch is not needed and has not been done.

Note You need to log in before you can comment on or make changes to this bug.